Table of Contents

Overview of soft-launch options

The table below contains an overview of all available soft-launch options. Unless otherwise specified, the key in the “Feature key” column must be added in SoftLaunchOptions.xml with the value “true” in order to activate the feature.

The table also details the minimum DataMiner version to start using each option and, in case the feature has already been officially released in a later DataMiner version, the “Release version” when it becomes available. From that “Release version” onwards, the feature is active by default and any soft-launch configuration for the feature is ignored. As such, it is not necessary to remove a tag from SoftLaunchOptions.xml when the corresponding feature is officially released.

AlarmFocus

See Filtering alarms on alarm focus.

  • Minimum version: 9.6.13
  • Release version: 10.0.0/10.0.2 (RN 23911)

AlarmForecasting

Enables proactive cap detection. See Proactive cap detection.

  • Minimum version: 9.5.12
  • Release version: 10.1.0/10.0.11 (RN 27132)

AlarmGrouping

Enables automatic incident tracking. See Automatic incident tracking.

  • Minimum version: 10.0.3
  • Release version: 10.1.0/10.0.11 (RN 27027)

AlarmSquashing

Enables alarm tree optimization.

  • Minimum version: 10.0.1
  • Release version: 10.1.0/10.0.12 (RN 27413)

AnomalyDetection

Enables behavioral anomaly detection and suggestion events. See Behavioral anomaly detection.

  • Minimum version: 9.5.12
  • Release version: 10.0.0/10.0.2 (RN 24095)

APIDeployment

Note

Deprecated from DataMiner 10.3.6 onwards. No longer supported from DataMiner 10.4.0/10.4.1 onwards. This feature is replaced by the UserDefinableAPI feature. When upgrading to 10.4.0 or newer, a prerequisite will block the upgrade if you still have deprecated APIs deployed. For more information, see Upgrade fails because of VerifyNoObsoleteApiDeployed.dll prerequisite.

Caution

APIDeployment is not supported on systems using Storage as a Service (STaaS).

Enables dynamic API deployment on the SLAPIEndpoint application.

Requires the .NET 5.0 hosting bundle.

  • Minimum version: 10.1.6

Applications

Enables the Low-Code Apps module.

Note

Requires an IIS restart.

  • Minimum version: 10.0.8
  • Release version: 10.2.5/10.3.0 (RN 33040)

BookingData

Enables the BookingData Visual Overview component.

  • Minimum version: 10.2.7
  • Release version: 10.3.8/10.4.0 (RN 36489)

BrokerGateway

Disables specific NATS logic, in order to use the BrokerGateway DxM for the NATS configuration instead.

  • Minimum version: 10.4.1

CassandraCluster

Allows you to set up the Cassandra cluster configuration in DataMiner Cube.

  • Minimum version: 10.0.13
  • Release version: 10.1.0/10.1.2 (RN 28406)

CloudConnectedAgents

Makes it possible to connect the DataMiner System to dataminer.services.

  • Minimum version: 10.1.2
  • Release version: 10.1.9/10.2.0 (RN 30513)

CorrectedDisplayKeyOnNaming

Takes exception values into account for display key generation.

  • Minimum version: 10.0.11/9.6.0 [CU18]/10.0.0 [CU6]
  • Estimated Release version: To be determined

CorrelationTicketAction

Allows you to create a ticket as a Correlation action.

  • Minimum version: 9.6.5
  • Estimated Release version: Will not be released (deprecated)

CPEIntegration

This is a Cube-only feature that can only be activated with the argument ENABLEFEATURE=CPEINTEGRATION. Note that you also need specific protocol changes in order to benefit from this.

  • Minimum version: 9.6.7
  • Estimated Release version: To be determined

DataAPI

Enables Data API functionality and scripted connectors. This displays the Data Sources module in DataMiner Cube.

  • Minimum version: 10.4.2/10.4.0
  • Estimated Release version: To be determined
Note

The latest version of the DataAggregator DxM and DataAPI DxM also have to be installed for this feature to work.

Diagnostics

Enable functionality to retrieve diagnostics from several DataMiner core processes.

  • Minimum version: 9.6.3

DirectViewRemoteDataUpdates

Updates the values of direct view tables.

  • Minimum version: 10.0.11
  • Estimated release version: To be determined

DOMManager

Enables the use of DOM data in dashboards and applications.

  • Minimum version: 10.1.7
  • Release version: 10.3.6/10.4.0 (RN 36124)

DynamicUnits

Enables dynamic units in Data Display in DataMiner Cube and the Monitoring app. If you want to test this feature for one DataMiner Cube session only, use the argument SOFTLAUNCH_DYNAMICUNITS=Enabled.

  • Minimum version: 10.0.12
  • Estimated release version: To be determined.

ElasticTicketing

Allows you to store tickets in the indexing database.

  • Minimum version: 9.6.4
  • Release version: 10.0.13/10.1.0 (RN 26677)

FeatureOffload

Allows the offloading of specific DataMiner Analytics features to a specific DataMiner Node.

  • Minimum version: 10.0.9
  • Estimated release version: Will not be released (deprecated)

Functions

Enables the Virtual Functions module in Cube. This is a Cube-only feature that can only be activated per session with the argument ENABLEFEATURE=FUNCTIONS.

  • Minimum version: 10.0.10
  • Release version: To be determined

GenericInterface

Provides access to additional data sources and operators for GQI in the Dashboards app and Low-Code Apps.

Important

Requires an IIS and DataMiner restart.

Note

Some features that originally required this option are fully available in recent DataMiner versions:

  • The DCF connections GQI data source (available from DataMiner 10.1.6 onwards).
  • The "Sort" operator (available from DataMiner 10.2.11/10.3.0 onwards).
  • The trend data patterns, trend data pattern events, and behavioral change events data sources (available from DataMiner 10.3.3/10.4.0 onwards).
  • The object manager instances data source (available from DataMiner 10.3.6 onwards).
  • The profile instances data source (available from DataMiner 10.3.0 CU11/10.4.2 onwards).
  • Minimum version: 10.0.13
  • Minimum version for the custom operator: 10.2.7
  • Release version for the custom operator: 10.3.0 [CU10]/10.4.1 (RN 37840)
  • Estimated release version for other data sources and operators: To be determined

GenericOwnership

Enables the ownership framework.

  • Minimum version: 9.5.11
  • Estimated release version: Will not be released (deprecated)

Indexing

Enables the use of Elasticsearch for alarm indexing and other applications. To preview the indexing configuration in DataMiner Cube, use the argument ENABLEFEATURE=Indexing.

  • Minimum version: 9.5.0
  • Release version: 10.0.0/1.0.0.2 (RN 24054)

JobManager

Enables the Jobs app.

  • Minimum version: 9.6.2
  • Release version: 9.6.4/10.0.0 (RN 21098)

LegacyAnnotations

Enables or disables the legacy Annotations module.

  • Minimum version: 10.1.10/10.2.0
Note

The legacy Annotations module is disabled by default as from DataMiner versions 10.4.0/10.4.1 (RN 37786). If you want to keep on using this legacy module, set this soft-launch option to true, then run C:\Skyline DataMiner\Tools\ConfigureIIS.bat as Administrator, and restart the DataMiner Agent.

LegacyReportsAndDashboards

Enables or disables the legacy Reports and Dashboards modules.

  • Minimum version: 10.1.10/10.2.0
Note

The legacy Reports and Dashboards modules are disabled by default as from DataMiner versions 10.4.0/10.4.1 (RN 37786). If you want to keep on using these legacy modules, set this soft-launch option to true, then run C:\Skyline DataMiner\Tools\ConfigureIIS.bat as Administrator, and restart the DataMiner Agent.

MonitoringAndControl

Enables the new Monitoring app. See Accessing the Monitoring app and The Monitoring app user interface.

  • Minimum version: 9.6.7
  • Release version: 10.0.2/10.0.0 (RN 24180)

NATS

Installs NATS and NAS on the DMA. If this option is enabled on all DMAs in the cluster, the NATS configuration will be updated so that a single NATS cluster is created.

  • Minimum version: 10.0.13
  • Release version: 10.1.1/10.1.0 (RN 28131)

NewAverageTrending

Enables the new average trending feature. From DataMiner 10.0.12 onwards, this is automatically enabled if a Cassandra cluster setup is used.

  • Minimum version: 10.0.6
  • Release version: 10.1.10/10.2.0 (RN 28684)

PlannedMaintenance

Enables the Planned Maintenance module.

Note

Deprecated: The Planned Maintenance module is now available as an application package. It is not enabled in the core DataMiner software.

  • Minimum version: 9.5.13

ReportsAndDashboards

Enables the Dashboards app.

  • Minimum version: 9.5.8
  • Release version: 9.6.9/10.0.0 (RN 22517)

ReportsAndDashboardsAlarmList

Enables the alarm list component in the Dashboards app.

  • Minimum version: 9.6.8
  • Release version: 10.1.5/10.2.0 (RN 29456)

ReportsAndDashboardsAlpha

Enables alpha components in the Dashboards app.

  • Minimum version: 9.6.6
  • Estimated release version: Will not be released (deprecated from DataMiner 10.3.9 onwards)

ReportsAndDashboardsAutomationScript

Enables the Automation script component in the Dashboards app.

  • Minimum version: 9.6.8
  • Estimated release version: To be determined

ReportsAndDashboardsButton

Enables the button component in the Dashboards app.

  • Minimum version: 10.0.3
  • Estimated release version: To be determined

ReportsAndDashboardsButtonPanel

Enables the button panel component in the Dashboards app.

  • Minimum version: 10.0.3
  • Release version: 10.3.9/10.4.0 (RN 36775)

ReportsAndDashboardsDynamicVisuals

Enables the grid component in the Dashboards app.

  • Minimum version: 10.2.12
  • Release version: 10.3.0 [CU10]/10.4.1 (RN 37812)

ReportsAndDashboardsExport

Enables the export to PDF button within the Dashboards app itself. Creating PDFs of dashboards is possible outside the app (e.g. via DataMiner Scheduler) without this soft-launch option.

  • Minimum version: 9.6.4
  • Release version: 10.2.12/10.3.0 (RN 34634)

ReportsAndDashboardsGQIMaps

Enables a new Maps component in the Dashboards app and the Low-Code Apps.

  • Minimum version: 10.3.2
  • Estimated release version: 10.4.4

ReportsAndDashboardsGuides

Enables the guides in the Dashboards app.

  • Minimum version: 9.6.8
  • Estimated release version: To be determined

ReportsAndDashboardsPTP

Enables the Query Filter component in the Dashboards app.

Note
  • Prior to DataMiner 10.0.13, this option also enables the Generic Interface feature in the Dashboards app, which becomes available from 10.0.13 onwards (partially using the GenericInterface soft-launch option).
  • Prior to DataMiner 10.1.5, this option also enables the Node Edge component, which becomes available by default from DataMiner 10.1.5 onwards.
  • Minimum version: 10.0.4
  • Release version: 10.3.9/10.4.0 (RN 36822)

ReportsAndDashboardsScheduler

Enables the Timeline component in the Dashboards app.

  • Minimum version: 10.1.10
  • Release version: 10.3.0 [CU10]/10.4.1 (RN 37812)

ResourceList

Enables support for the source type "Resources" in list view components. This is a Cube-only feature that can only be activated per session with the argument ENABLEFEATURE=ResourceList.

  • Minimum version: 10.1.3
  • Release version: 10.1.11/10.2.0 (RN 30998)

ServiceProfilesMigration

Enables the service profiles export and import in the DataMiner Cube Services app. This is a Cube-only feature that can only be activated per session with the argument ENABLEFEATURE=ServiceProfilesMigration.

  • Minimum version: 10.1.7
  • Release version: To be determined

SLProtocolAsX64

Enables SLProtocol as a 64-bit process. This option is not configured in SoftLaunchOptions.xml. For more information on how to activate this, refer to Activating SLProtocol as a 64-bit process.

  • Minimum version: 10.1.8
  • Release version: 10.3.9

SLProtocolAsX86

Enables SLProtocol as a 32-bit process. This option is not configured in SoftLaunchOptions.xml. For more information on how to activate this, refer to Activating SLProtocol as a 32-bit process.

  • Minimum version: 10.3.9
  • Release version: N/A

SnmpPollingSnmpPlusPlusOnly

Configures the DataMiner System to use SNMP++ for the polling of all three SNMP versions, instead of only for SNMPv3.

  • Minimum version: 10.4.2
  • Release version: To be determined.
Important

This feature does not support polling of IPv6 addresses. In case IPv6 addresses are polled on your DMA, do not activate this feature.

SrmOwnServices

Enables ownership support for SRM services.

  • Minimum version: 9.6.1
  • Estimated release version: Will not be released (deprecated)

SrmProtocolGeneration

Enables contributing service protocol generation.

  • Minimum version: 9.6.1
  • Release version: 9.6.11/10.0.0 (RN 23201)

Swarming

Enables Swarming support for eligible systems.

  • Minimum version: 10.3.11

UseWebIAS

Uses an embedded web browser for Automation script execution instead of the native Cube pop-up window.

  • Minimum version: 10.1.4

UserDefinableAPI

Enables the Cube UI for User-Defined APIs.

  • Minimum version: 10.3.5
  • Release version: 10.3.6/10.4.0 (RN 36273)

VisualDataManager

Enables the new VisualDataHelper.

  • Minimum version: 9.6.1
  • Release version: 9.6.4